Subject: Re: [PATCH 3/4] lock_ref_sha1_basic: simplify error code path

From: Jonathan Nieder <[email-masked]>
Date: Tue, 18 Nov 2014 18:07:13 -0800

Jeff King wrote:

> Hmph. Should we just abandon my series in favor of taking Ronnie's
> original patch, then? We can apply the "save/restore errno in error()"
> patch independently if we like.

I liked patches 1 and 2 and the explanation from patch 4.  Perhaps
patch 3 should be replaced with a patch renaming unlock_ref to
free_ref_lock or something.

Thanks,
Jonathan